import _Vue from 'vue'
import useEchart, {component as echartsComponent } from './packages/ts-vue-echarts/src/index'
import useEchartView, {component as echartViewComponent} from './packages/ts-vue-data-view/src/index'
// 这里把全部要注册的组件全放在这里
export const components = {
  ...echartsComponent,
  ...echartViewComponent
  // ...如果还有的话继续添加
}
//
export {
  useEchart,
  useEchartView
}
const install = function (Vue, opts = {}) {
  if (!Vue) {
    window.Vue = Vue = _Vue
  }
  console.log('components')
  console.log(components)
  for (let key in components) {
    if (!key && !components[key]) {
      return
    }
    if (!components[key].default) {
      Vue.use(components[key])
    } else {
      Vue.component(components[key].default.name || components[key].name, components[key].default || components[key])
    }
  }
  // components.forEach((item) => {
  //   if (!item.name) {
  //     return
  //   }
  //   Vue.component(item.reqCom.name, item.reqCom)
  // })
}

// /* 支持使用标签的方式引入 */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}
export default {
  install,
  ...components,
  useEchart,
  useEchartView
}
