const BMAP_LOADED_KEY = '__BMAP_LOADED__STATUS__'
export default {
  init: function () {
    console.log('初始化百度地图脚本...')
    const AK = 'E4GVGDUxWHpt3903bArFvIa54LkkSz1f'
    // eslint-disable-next-line camelcase
    const BMap_URL = 'https://api.map.baidu.com/api?v=3.0&ak=' + AK + '&callback=onBMapCallback'
    return new Promise((resolve, reject) => {
      let timer = null
      // 如果已加载直接返回
      if (typeof BMap !== 'undefined') {
        // eslint-disable-next-line no-undef
        resolve(BMap)
        return true
      } else {
        timer = setInterval(() => {
          const status = window[BMAP_LOADED_KEY]
          if (status === 2) {
            clearInterval(timer)
            // eslint-disable-next-line no-undef
            resolve(BMap)
          }
        }, 50)
      }
      // 百度地图异步加载回调处理
      window.onBMapCallback = function () {
        console.log('百度地图脚本初始化成功...')
        window[BMAP_LOADED_KEY] = 2
        // eslint-disable-next-line no-undef
        resolve(BMap)
      }
      if (window[BMAP_LOADED_KEY] === 1) {
        return
      }
      // 加载中
      window[BMAP_LOADED_KEY] = 1
      // 插入script脚本
      let scriptNode = document.createElement('script')
      scriptNode.setAttribute('type', 'text/javascript')
      scriptNode.setAttribute('src', BMap_URL)
      document.body.appendChild(scriptNode)
    })
  }
}
