const ECHARHS_GL_LOADED_KEY = '__BMAP_LOADED__STATUS__'
export default {
  init: function () {
    console.log('引入低版本的echarts和gl...')
    const ECHARHS_URL = 'https://fastly.jsdelivr.net/npm/echarts@4.2.1/dist/echarts.min.js'
    const ECHARHS_GL_URL = 'https://fastly.jsdelivr.net/npm/echarts-gl@1.1.1/dist/echarts-gl.min.js'
    return new Promise((resolve, reject) => {
      let timer = null
      // 如果已加载直接返回
      if (typeof window['echarts-gl'] !== 'undefined') {
        // eslint-disable-next-line no-undef
        resolve(true)
        return true
      } else {
        timer = setInterval(() => {
          const status = window[ECHARHS_GL_LOADED_KEY]
          if (status === 2) {
            clearInterval(timer)
            resolve(true)
          }
        }, 50)
      }
      if (window[ECHARHS_GL_LOADED_KEY] === 1) {
        return
      }
      // 加载中
      window[ECHARHS_GL_LOADED_KEY] = 1
      this.createScriptDom(ECHARHS_URL, () => {
        this.createScriptDom(ECHARHS_GL_URL, () => {
          window[ECHARHS_GL_LOADED_KEY] = 2 // 加载完成
        })
      })
    })
  },
  createScriptDom: function (url, callback) {
    const scriptDom = document.createElement('script')
    scriptDom.type = 'text/javascript'
    scriptDom.async = true
    scriptDom.src = url
    scriptDom.onload = function () {
      callback()
    }
    document.body.appendChild(scriptDom)
  }
}
